org.eclipse.lyo.oslc4j.core.model

## Class PrefixDefinition

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.oslc4j.core.model.PrefixDefinition

- All Implemented Interfaces:
    IExtendedResource, IResource

      @OslcNamespace(value="http://open-services.net/ns/core#")
      @OslcResourceShape(title="OSLC Prefix Definition Resource Shape",
                         describes="http://open-services.net/ns/core#PrefixDefinition")
      public class PrefixDefinition
      extends AbstractResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrefixDefinition()`
    `PrefixDefinition(String prefix, URI prefixBase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPrefix()`
    `URI` | `getPrefixBase()`
    `void` | `setPrefix(String prefix)`
    `void` | `setPrefixBase(URI prefixBase)`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixDefinition

          public PrefixDefinition()

    - #### PrefixDefinition

          public PrefixDefinition(String prefix,
                          URI prefixBase)

  - ### Method Detail

    - #### getPrefix

          @OslcDescription(value="Namespace prefix to be used for this namespace")
          @OslcOccurs(value=ExactlyOne)
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#prefix")
          @OslcReadOnly
          @OslcTitle(value="Prefix")
          public String getPrefix()

    - #### getPrefixBase

          @OslcDescription(value="The base URI of the namespace")
          @OslcPropertyDefinition(value="http://open-services.net/ns/core#prefixBase")
          @OslcReadOnly
          @OslcTitle(value="Prefix Base")
          public URI getPrefixBase()

    - #### setPrefix

          public void setPrefix(String prefix)

    - #### setPrefixBase

          public void setPrefixBase(URI prefixBase)

Copyright © 2016. All rights reserved.